//JafoNoksy's code
#include <bits/stdc++.h>
using namespace std;
#define input(a) for (auto &el : a) cin >> el
#define print(a, sep) for (auto & el :a) cout << el << sep
#define pb push_back
#define all(a) a.begin(), a.end()
#define rall(a) a.rbegin(), a.rend()
#define debug(x) cerr << (#x) << ' ' << x << '\n'
typedef long long ll;
struct ev {
    ll x;
    bool check;
    ll l, r, id;
    ev (ll _x, ll _l, ll _r, bool _check, ll _id) {
        x = _x;
        l = _l;
        r = _r;
        check = _check;
        id = _id;
    }
};
bool cmp(ev a, ev b) {
    return a.x < b.x;s
}
vector<pair<ll, ll>> did(pair<ll, ll> &a, pair<ll, ll> &b, pair<ll, ll> &c) {
    auto l1 = a.first, r1 = a.second;
    auto l2 = b.first, r2 = b.second;
    auto l = c.first, r = c.second;
    if (l1 <= r and r2 >= l) {
        return {{min(l2, l), max(r1, r)}};
    } if (r2 >= l) {
        return {{l1, r1}, {min(l, l2), max(r, r2)}};
    } if (l1 <= r) {
        return {{l2, r2}, {min(l, l1), max(r, r1)}};
    } return {a, b, c};
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    set<pair<pair<ll, ll>, ll>> seg;
    vector<ev> events;
    ll k, n; cin >> k >> n;
    ll x = 0, y = 0;
    for (int i = 0; i < n; ++i) {
        char c; cin >> c;
        ll a; cin >> a;
        if (c == 'N') {
            events.pb(ev(x-1, y, y+a+k-1, false, i));
            events.pb(ev(x+k-1, y, y+a+k-1, true, i));
            y += a;
        } else if (c == 'S') {
            events.pb(ev(x-1, y-a, y+k-1, false, i));
            events.pb(ev(x+k-1, y-a, y+k-1, true, i));
            y -= a;
        } else if (c == 'E') {
            events.pb(ev(x-1, y, y+k-1, false, i));
            events.pb(ev(x+a+k-1, y, y+k-1, true, i));
            x += a;
        } else {
            events.pb(ev(x-a-1, y, y+k-1, false, i));
            events.pb(ev(x+k-1, y, y+k-1, true, i));
            x -= a;
        }
    } sort(all(events), cmp);
    vector<pair<ll, ll>> inid(n);
    for (auto &event : events) {
        inid[event.id] = {event.l, event.r};
    }

    ll ans = 0, X = events[0].x;
    for (auto &event : events) {
        //cout << ans << ' ' << X << '\n';
        if (!event.check) {
            if (!seg.empty()) {
                ll l = (*seg.begin()).first.first, r = (*seg.begin()).first.second;
                ll m = r-l+1;
                for (auto &t : seg) {
                    ll _l = (t.first.first), _r = t.first.second;
                    m += _r-_l+1;
                    m -= max(0ll, min(r, _r) - _l + 1);
                    r = max(r, _r);
                } ans -= m*(X-event.x);
            } seg.insert({{event.l, event.r}, event.id});
        } else {
            if (!seg.empty()) {
                ll l = (*seg.begin()).first.first, r = (*seg.begin()).first.second;
                ll m = r-l+1;
                for (auto &t : seg) {
                    ll _l = (t.first.first), _r = t.first.second;
                    m += _r-_l+1;
                    m -= max(0ll, min(r, _r) - _l + 1);
                    r = max(r, _r);
                } ans -= m*(X-event.x);
            } ll i = event.id;
            if (seg.find({{inid[i].first, inid[i].second}, i}) != seg.end())
                seg.erase({{inid[i].first, inid[i].second}, i});
        } X = event.x;
    } cout << ans;
}