//JafoNoksy's code
#include <bits/stdc++.h>
using namespace std;
#define input(a) for (auto &el : a) cin >> el
#define print(a, sep) for (auto & el :a) cout << el << sep
#define pb push_back
#define all(a) a.begin(), a.end()
#define rall(a) a.rbegin(), a.rend()
#define debug(x) cerr << (#x) << ' ' << x << '\n'
typedef long long ll;
struct pt {
    ll x, y;
    pt (ll _x, ll _y) {
        x = _x;
        y = _y;
    } pt operator+(pt a) {
        return pt(x+a.x, y+a.y);
    } pt operator-(pt a) {
        return pt(x-a.x, y-a.y);
    } ll operator*(pt a) {
        return x*a.x + y*a.y;
    } ll operator%(pt a) {
        return x*a.y - y*a.x;
    }
};
pt P;
ll sign(ll x) {
    if (x < 0)
        return -1;
    if (x > 0)
        return 1;
    return 0;
}
bool cmp(pair<pt, ll> a, pair<pt, ll> b) {
    pt A = a.first;
    pt B = b.first;
    if (sign(P%A) != sign(P%B))
        return sign(P%A) < sign(P%B);
    return A%B > 0;
}
vector<pt> p;
ll t;
ll simulate(ll i, ll j) {
    P = p[j]+p[j] - p[i];
    vector<pair<pt, ll>> tmp;
    for (int k = 0; k < p.size(); ++k) {
        if (k != j) {
            tmp.pb({p[k], k});
        }
    } sort(all(tmp), cmp);
    return tmp[t-1].second;
}
vector<char> ans;

void solve(ll i, ll j) {
    vector<ll> cnt(p.size(), 0);
    vector<ll> last(p.size());
    set<pair<ll, ll>> be;
    ll moment = 0;
    while (be.find({i, j}) == be.end()) {
        be.insert({i, j});
        cnt[i]++;
        last[i] = moment;
        ll k = simulate(i, j);
        moment++;
        swap(i, k);
        swap(j, i);
    }
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);


}