//JafoNoksy's code
#include <bits/stdc++.h>
using namespace std;
#define input(a) for (auto &el : a) cin >> el
#define print(a, sep) for (auto & el :a) cout << el << sep
#define pb push_back
#define all(a) a.begin(), a.end()
#define rall(a) a.rbegin(), a.rend()
#define debug(x) cerr << (#x) << ' ' << x << '\n'
typedef long long ll;
struct pt {
    ll x, y, d;
    pt (ll _x, ll _y) {
        x = _x;
        y = _y;
        d = x*x + y*y;
    } pt operator+(pt a) {
        return pt(x+a.x, y+a.y);
    } pt operator-(pt a) {
        return pt(x-a.x, y-a.y);
    } ll operator*(pt a) {
        return x*a.x + y*a.y;
    } ll operator%(pt a) {
        return x*a.y - y*a.x;
    }
};
pt P =pt(0, 0);
ll sign(ll x) {
    if (x < 0)
        return -1;
    if (x > 0)
        return 1;
    return 0;
}
bool cmp(pair<pt, ll> a, pair<pt, ll> b) {
    pt A = a.first;
    pt B = b.first;
    if (sign(P%A) != sign(P%B))
        return sign(P%A) > sign(P%B);
    if (A%B == 0) {
        if (sign(A*P) == sign(B*P))
            return A.d < B.d;
        return A*P > B*P;
    }
    return A%B > 0;
}
vector<pt> p;
ll t;
ll simulate(ll i, ll j) {
    P = p[j] - p[i];
    vector<pair<pt, ll>> tmp;
    for (int k = 0; k < p.size(); ++k) {
        if (k != j) {
            tmp.pb({p[k]-p[j], k});
        }
    } sort(all(tmp), cmp);
    //for (auto &el : tmp)
        //cout <<el.second << ' ';
    return tmp[t-1].second;
}
string ans;
ll moment = 0;
void solve(ll i, ll j) {
    moment++;
    vector<ll> cnt(p.size(), 0);
    set<pair<ll, ll>> be;
    vector<pair<ll, ll>> where;
    while (be.empty() or be.find({i, j}) == be.end()) {
        //cout << i << ' ' << j << '\n';
        be.insert({i, j});
        where.pb({i, j});
        cnt[i]++;
        ll k = simulate(i, j);
        swap(i, k);
        swap(j, i);
    } bool flag = false;
    for (auto &&[a, b] : where) {
        if (a == i && b == j) {
            flag = true;
        } if (flag) {
            ans[a] = 'G';
        } if (ans[a] != 'G' and cnt[a] > 1) {
            ans[a] = 'B';
        }
    }
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    ll n;
    cin >> n >> t;

    for (auto i = 0; i < n; ++i) {
        ll x, y; cin >> x >> y;
        p.pb({x, y});
        ans += 'R';
}
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            if (j != i)
                solve(i, j);
        }
    } cout << ans;
}